NAME
swab - swap bytes

SYNOPSIS
void swab (from, to, nbytes)
char *from, *to;
int nbytes;

DESCRIPTION
swab copies nbytes bytes pointed to by from to the array pointed to by to, exchanging adjacent even and odd bytes. Nbytes should be even and non-negative. If nbytes is odd and positive, swab uses nbytes-1 instead. If nbytes is negative, swab does nothing.